<?php
/*
第1引数:暗号化を行う文字列
第2引数:レシピ名の文字列
第3引数:絶対時刻情報(key_b=YYYYMMDDhhmmss形式で指定)の文字列
        日時はPDELが動作するPHP環境に設定されたタイムゾーンのローカル日時。
第4引数:任意項目(key_c=xxxxxxxxxxxx形式で指定)の文字列
戻り値:連想配列(後述)
*/

//クレジットカード番号(1234567890123456)をV_TIME_AND_UDID_CARDというレシピで暗号化し、
//2012年10月31日23時59分59秒まで、かつ
//復号時に同じ端末識別番号が指定された場合のみ復号を許可する場合
//(この例は2012年9月に作成しました。また、端末識別番号が取得できることを前提にしています。)
$s_card = '1234567890123456';
$s_limit_time = 'key_b=20121031235959';
//$s_udidには端末識別番号が設定済みと仮定
$s_key_c = 'key_c=' . $s_udid;
$a_ret = $o_pdel->encrypt($s_card , 'V_TIME_AND_UDID_CARD' , $s_key_b , $s_key_c);