<?php
    define('PDEL_ENTRY_SCRIPT' , basename(__FILE__ , '.php'));
    require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . '_router.php');
    if( $_SERVER["REQUEST_METHOD"] === "POST" ){
        $html = <<< EOT
{PDEL-HEAD}
<body>
{PDEL-MENU}
{PDEL-MAIN-HTML}
{PDEL-FOOTER}
{PDEL-JS-LINK}
<script src="./public_assets/org/resource/{PDEL_USE_LANG}/js/_pdel_demo_encrypt.js"></script>
<script src="./public_assets/org/js/pdel_demo_encrypt.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    _cntl_input2();
    _cntl_org_mask();
    _cntl_tooltip();
});
</script>
</body>
</html>
EOT;
		$html = str_replace('{PDEL-HEAD}' , genHeader() , $html);
        $html = str_replace('{PDEL-MENU}' , genTopNavi() , $html);
        $html = str_replace('{PDEL-MAIN-HTML}' , getMainHtml() , $html);
        $html = str_replace('{PDEL-FOOTER}' , genFooter() , $html);
		$html = str_replace('{PDEL-JS-LINK}' , genJsLink() , $html);
        $html = str_replace('{SCRIPT_NAME}' , './_demo_decrypt.php' , $html);
        $main_table_html = '';
        $sub_table_html = '';
        $total_start_time = microtime(true);
        require_once PDEL_HOME . 'engine'  . DIRECTORY_SEPARATOR . 'Pdel.php';
        if( $_POST['nm_opt_recipe'] === "1" ){
            $o_pdel = new Pdel('<PDEL_HOME>conf<DIRECTORY_SEPARATOR>org<DIRECTORY_SEPARATOR>ini<DIRECTORY_SEPARATOR>1.ini');
        }
        else{
            $o_pdel = new Pdel();
        }
        $limit_time = '';
        $input_key = array('a' , 'b' , 'c' , 'd' , 'e' , 'f' , 'g' , 'h' , 'i');
        for($i=0;$i<count($input_key);$i++){
            $before_val = $_POST['in_' . $input_key[$i]];
            $recipe = ($_POST['nm_opt_recipe'] === '2') ? ($_POST['in_recipe_demo_' . $input_key[$i]]) : ($_POST['in_recipe_custom_' . $input_key[$i]]);
            //暗号化
            $start_time = microtime(true);
            switch($input_key[$i]){
                case 'f':
                    $opt = 'key_b=' . $_POST['in_opt_f'];
                    $a_ret = $o_pdel->encrypt($before_val , $recipe , $opt);
                    break;
                case 'h':
                    $opt = 'key_c=' . $_POST['in_opt_h'];
                    $a_ret = $o_pdel->encrypt($before_val , $recipe , $opt);
                    break;
                case 'i':
                    $opt1 = 'key_b=' . $_POST['in_opt_i_1'];
                    $opt2 = 'key_c=' . $_POST['in_opt_i_2'];
                    $a_ret = $o_pdel->encrypt($before_val , $recipe , $opt1 , $opt2);
                    break;
                default:
                    $a_ret = $o_pdel->encrypt($before_val , $recipe);
            }
            if( ($_POST['nm_opt_recipe'] === '2') and ($input_key[$i] === 'e') and (array_key_exists('limit_time' , $a_ret) === true) ) $limit_time = $a_ret['limit_time'];
            $end_time = microtime(true);
            //入力値
            $html = str_replace('{BEFORE_in_' . $input_key[$i] . '}' , hsc($before_val) , $html);
            //レシピ
            $html = str_replace('{BEFORE_in_recipe_' . $input_key[$i] . '}' , hsc($recipe) , $html);
            //暗号化結果
            $after_val = $a_ret['result'];
            $html = str_replace('{BEFORE_in_' . $input_key[$i] . '}' , hsc($before_val) , $html);
            $html = str_replace('{AFTER_in_' . $input_key[$i] . '}' , hsc($after_val) , $html);
            //暗号化時間
            $html = str_replace('{RECIPE_REPORT_encrypt_time_in_' . $input_key[$i] . '}' , sprintf('%.6f' , ($end_time - $start_time)) , $html);
            //エラー情報
            if( $a_ret['status'] === false ){
                $err_info = $a_ret['detail'];
                $html = str_replace('{TABLE_ROW_' . $input_key[$i] . '}' , 'error' , $html);
            }
            else{
                $html = str_replace('{TABLE_ROW_' . $input_key[$i] . '}' , '' , $html);
                $err_info = '';
            }
            $html = str_replace('{RECIPE_REPORT_error_info_in_' . $input_key[$i] . '}' , hsc($err_info) , $html);
        }
        $total_end_time = microtime(true);
        if( (defined('PDEL_ORG_MASK') === true) and ($_POST['nm_opt_recipe'] === '1') ){
            $html = str_replace('{BEFORE_nm_opt_recipe}' , '3' , $html);
        }
        else{
            $html = str_replace('{BEFORE_nm_opt_recipe}' , $_POST['nm_opt_recipe'] , $html);
        }
        //暗号化時オプション情報
        $html = str_replace('{BEFORE_in_opt_h}' , hsc($_POST['in_opt_h']) , $html);
        $html = str_replace('{BEFORE_in_opt_i}' , hsc($_POST['in_opt_i_2']) , $html);
        $encrypt_option = '<tr><td class="pdel_td" colspan="2" style="text-align:center">{PDEL_i18n_tab4_opt_recipe}</td>';
        $encrypt_option = '<tr><td class="pdel_td" colspan="2" style="text-align:center">{PDEL_i18n_tab4_opt_recipe}</td>';
        if( $_POST['nm_opt_recipe'] === "2" ){
            $html = str_replace('{PDEL_ENCRYPT_TAB0_STYLE}' , '' , $html);
            $html = str_replace('{PDEL_ENCRYPT_TAB0_STYLE}' , ' style="display:none"' , $html);
            $html = str_replace('{PDEL_ENCRYPT_AFTER_DECRYPT_DEMO}' , '<label class="radio"><input type="radio" name="in_after_tab" value="0">{PDEL_i18n_tab_title_0}</label>' , $html);
            $encrypt_option = $encrypt_option . '<td class="pdel_td">{PDEL_i18n_tab4_opt_recipe2}</td></tr>' . "\n";
            if( $limit_time !== '' ) $encrypt_option = $encrypt_option .
                '<tr><td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_e}</td>' .
                '<td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_e_result}</td>' .
                '<td class="pdel_td"><a href="#" rel="tooltip" data-original-title="{PDEL_i18n_tab4_guide4e}" style="text-decoration:none"><span class="pdel_code_red2">' .
                substr($limit_time , 0 , 4) . '-' . substr($limit_time , 4 , 2) . '-' . substr($limit_time , 6 , 2) . ' ' .
                substr($limit_time , 8 , 2) . ':' . substr($limit_time , 10 , 2) . ':' . substr($limit_time , 12 , 2) .
                '</span></a></td></tr>' . "\n";
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_f}</td>' .
                                                '<td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_f_p}' .
                                                '</td><td class="pdel_td">' . hsc($_POST['in_opt_f']) . '</td></tr>' . "\n";
            switch(true){
                case array_key_exists('HTTP_CLIENT_IP' , $_SERVER):
                    $ZFIP = $_SERVER['HTTP_CLIENT_IP'] . '<br>' . $_SERVER['REMOTE_ADDR'];
                    break;
                case array_key_exists('HTTP_X_FORWARDED_FOR' , $_SERVER):
                    $ZFIP = '<span class="pdel_code_red2">' . $_SERVER['HTTP_X_FORWARDED_FOR'] . '</span><br>' . $_SERVER['REMOTE_ADDR'];
                    break;
                default:
                    $ZFIP = $_SERVER['REMOTE_ADDR'];
            }
            $html = str_replace('{pdel_reget_nocache_key}' ,  sprintf('%08x' , crc32($ZFIP)) , $html);
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" rowspan="3" style="vertical-align:middle;text-align:center">' .
                '{PDEL_i18n_tab4_shj_lbl}' .
                '<a class="btn btn-inverse" href="#pdel_session_hijackkey_current" data-toggle="modal" onClick="return _reget()">' .
                '<i class="' . PDEL_USE_BOOTSTRAP_ICON_BTN . '"></i> {PDEL_i18n_tab4_shj_btn}</a></td>' .
                '<td class="pdel_td" style="text-align:center">ZFIP</td><td class="pdel_td">' . $ZFIP . '</td></tr>' . "\n";
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" style="text-align:center">UA</td>' .
                '<td class="pdel_td">' . $_SERVER['HTTP_USER_AGENT'] . '</td></tr>' . "\n";
    		$LANG = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
            if( array_key_exists('HTTP_ACCEPT_CHARSET' , $_SERVER) === true )
                $LANG = $LANG . '<br>' . $_SERVER['HTTP_ACCEPT_CHARSET'];
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" style="text-align:center">LANG</td>' .
                '<td class="pdel_td">' . $LANG . '</td></tr>' . "\n";
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_h}</td>' .
                '<td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_h_p}</td>' .
                '<td class="pdel_td">' . hsc($_POST['in_opt_h']) . '</td></tr>' . "\n";
            $encrypt_option = $encrypt_option .
                '<tr><td class="pdel_td" rowspan="2" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_i}</td>' .
                '<td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_i_p1}</td>' .
                '<td class="pdel_td">' . hsc($_POST['in_opt_i_1']) . '</td></tr>' . "\n";
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe2_i_p2}</td>' .
                '<td class="pdel_td">' . hsc($_POST['in_opt_i_2']) . '</td></tr>' . "\n";
        }
        else{
            $html = str_replace('{PDEL_ENCRYPT_TAB0_STYLE}' , ' style="display:none"' , $html);
            $html = str_replace('{PDEL_ENCRYPT_AFTER_DECRYPT_DEMO}' , '' , $html);
            $encrypt_option = $encrypt_option . '<td class="pdel_td">{PDEL_i18n_tab4_opt_recipe1}</td></tr>' . "\n";
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" style="text-align:center">' .
                '{PDEL_i18n_tab4_opt_recipe1_f}' . hsc($_POST['in_recipe_custom_f']) . ')</td>' .
                '<td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe1_f_p}</td>' .
                '<td class="pdel_td">' . hsc($_POST['in_opt_f']) . '</td></tr>' . "\n";
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe1_h}' .
                hsc($_POST['in_recipe_custom_h']) . ')</td><td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe1_h_p}</td>' .
                '<td class="pdel_td">' . hsc($_POST['in_opt_h']) . '</td></tr>' . "\n";
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" rowspan="2" style="text-align:center">{PDEL_i18n_tab4_opt_recipe1_i}' .
                hsc($_POST['in_recipe_custom_i']) . ')</td><td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe1_i_p1}</td>' .
                '<td class="pdel_td">' . hsc($_POST['in_opt_i_1']) . '</td></tr>' . "\n";
            $encrypt_option = $encrypt_option . '<tr><td class="pdel_td" style="text-align:center">{PDEL_i18n_tab4_opt_recipe1_i_p2}</td>' .
                '<td class="pdel_td">' . hsc($_POST['in_opt_i_2']) . '</td></tr>' . "\n";
        }
        $html = str_replace('{ENCRYPT_OPTION}' , $encrypt_option , $html);
        $html = str_replace('{ENCRYPT_TOTAL_TIME}' , sprintf('%.6f ' , ($total_end_time - $total_start_time)) , $html);
        //レシピ解析
        for($i=0;$i<count($input_key);$i++){
            $recipe = ($_POST['nm_opt_recipe'] === '2') ? ($_POST['in_recipe_demo_' . $input_key[$i]]) : ($_POST['in_recipe_custom_' . $input_key[$i]]);
            switch($input_key[$i]){
                case 'f':
                    $opt = 'key_b=' . $_POST['in_opt_f'];
                    $a_ret = $o_pdel->parseRecipe($recipe , 'key_b=' . date('Y') . '1231235959');
                    break;
                case 'h':
                    $opt = 'key_c=' . $_POST['in_opt_h'];
                    $a_ret = $o_pdel->parseRecipe($recipe , 'key_c=dummy');
                    break;
                case 'i':
                    $opt1 = 'key_b=' . $_POST['in_opt_i_1'];
                    $opt2 = 'key_c=' . $_POST['in_opt_i_2'];
                    $a_ret = $o_pdel->parseRecipe($recipe , 'key_b=' . date('Y') . '1231235959' , 'key_c=dummy');
                    break;
                default:
                    $a_ret = $o_pdel->parseRecipe($recipe);
            }
            if( $a_ret['status'] === true ){
                //暗号化可能最大バイト数
                $html = str_replace('{RECIPE_REPORT_encryptable_max_size_in_' . $input_key[$i] . '}' , hsc($a_ret['encryptable_max_size']) , $html);
                //暗号化後バイト数
                $s_size = $a_ret['after_size'];
                $s_size = str_replace('{(PDEL-BEFORE-DATA-SIZE_X_2)+}' , '{PDEL_i18n_tab3_encrypt_result_size_base}' , $s_size);
                $html = str_replace('{RECIPE_REPORT_after_size_in_' . $input_key[$i] . '}' , hsc($s_size) , $html);
            }
            else{
                //暗号化可能最大バイト数
                $html = str_replace('{RECIPE_REPORT_encryptable_max_size_in_' . $input_key[$i] . '}' , hsc('****') , $html);
                //暗号化後バイト数
                $html = str_replace('{RECIPE_REPORT_after_size_in_' . $input_key[$i] . '}' , hsc('****') , $html);
                //エラー情報
                $html = str_replace('{RECIPE_REPORT_error_info_in_' . $input_key[$i] . '}' , hsc($a_ret['detail']) , $html);
            }
        }
        if( $limit_time !== '' ){
            $time_val = mktime(intval(substr($limit_time , 8 , 2)) , intval(substr($limit_time , 10 , 2)) , substr($limit_time , 12 , 2) ,
                               intval(substr($limit_time , 4 , 2)) , intval(substr($limit_time , 6 , 2)) , substr($limit_time , 0 , 4) );
            $jst = date('Y-m-d H:i:s' , $time_val);
            $html = str_replace('{LIMIT_BASE}' , hsc($jst) , $html);
        }
        $html = str_replace('{PDEL_USE_BOOTSTRAP_ICON_BTN}' , PDEL_USE_BOOTSTRAP_ICON_BTN , $html);
        $html = getLocaleResource($html);
        $html = getCommonLocaleResource($html);
        echo $html;
    }
    else{
        if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
        replyInvalidRequest(1);
    }