<?php
    define('PDEL_ENTRY_SCRIPT' , basename(__FILE__ , '.php'));
    require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '_router.php');
    if( $_SERVER['REQUEST_METHOD'] === 'GET' ){
        $url_info = array_reverse(explode('/' , $_SERVER['REQUEST_URI']));
        $script_info = array_reverse(explode(DIRECTORY_SEPARATOR , realpath(__FILE__)));
        $target_zip = '';
        for($i=0;;$i++){
            if( array_key_exists($i , $url_info) === false ) break;
            if( $url_info[$i] === '' ) break;
            if( $i === 0 ){
                $target_zip = $url_info[$i];
            }
            else{
                if( array_key_exists($i , $script_info) === false ){
                    if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
                    replyInvalidRequest(3);
                }
                if( $url_info[$i] !== $script_info[$i] ){
                    if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
                    replyInvalidRequest(3);
                }
            }
        }
        if( $target_zip === '' ){
            if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
            replyInvalidRequest(3);
        }
        switch(true){
            case strpos($target_zip , '..') !== false:
            case strpos($target_zip , DIRECTORY_SEPARATOR) !== false:
            case strpos($target_zip , "\\") !== false:
            case strpos($target_zip , '/') !== false:
            case strpos($target_zip , ':') !== false:
            case strpos($target_zip , '*') !== false:
            case strpos($target_zip , '?') !== false:
            case strpos($target_zip , '"') !== false:
            case strpos($target_zip , '<') !== false:
            case strpos($target_zip , '>') !== false:
            case strpos($target_zip , '|') !== false:
            case strpos($target_zip , ';') !== false:
                if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
                replyInvalidRequest(3);
        }
        $zip_file = realpath(PDEL_RELEASE_NOTES_DIR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'zip' . DIRECTORY_SEPARATOR . $target_zip);
        if( is_normal_file($zip_file) !== true ){
            if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
            replyInvalidRequest(3);
        }
        $local_name = urlencode(basename($zip_file));
        $local_name = str_replace('+' , '%20' , $local_name);
        $file_size = filesize($zip_file);
        header("Content-type: application/zip");
        header('Content-Length: ' . $file_size);
        header('Content-Disposition: attachment; filename="' . $local_name . '"');
        echo file_get_contents($zip_file , FILE_BINARY);
        exit();
    }
    else{
        if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
        replyInvalidRequest(3);
    }