function __setProcessingStatus(mode){
    if( mode === true ){
        $('input').attr("disabled", "disabled");
        $('select').attr("disabled", "disabled");
        $("#pdeldemo_decrypt_btn").val(_PDEL_i18n_msg['decrypt_btn_processing']);
        $("#pdeldemo_pgmain").addClass("progress progress-striped active");
        $("#pdeldemo_pgbase").addClass("bar");
    }
    else{
        $('input').removeAttr("disabled");
        _cntl_org_mask()
        $('select').removeAttr("disabled");
        $("#pdeldemo_decrypt_btn").val(_PDEL_i18n_msg['decrypt_btn_default']);
        $("#pdeldemo_pgmain").removeClass("progress progress-striped active");
        $("#pdeldemo_pgbase").removeClass("bar");
    }
}
function __setDecryptOption(t){
    $("#pdeldemo_decrypt_option_tbody td").remove();
    $("#pdeldemo_decrypt_option_tbody tr").remove();
    //項目H復号キー
    var html = '<tr><td class="pdel_td pdel_dt_c1">' + _PDEL_i18n_msg['decrypt_key_h'] + '</td><td class="pdel_td pdel_dt_c2">' + $("input:text[name='in_opt_h']").val() + '</td></tr>';
    //項目I復号キー
    html = html + '<tr><td class="pdel_td pdel_dt_c1">' + _PDEL_i18n_msg['decrypt_key_i'] + '</td><td class="pdel_td pdel_dt_c2">' + $("input:text[name='in_opt_i']").val() + '</td></tr>';
    //データマスキング
    html = html + '<tr><td class="pdel_td pdel_dt_c1">' + $("input:radio[name='in_radio_mask']:checked").closest(".control-group").children(".control-label").text() + '</td>';
    html = html + '<td class="pdel_td pdel_dt_c2">' + $("input:radio[name='in_radio_mask']:checked").closest("label").text() + '</td></tr>';
    if( $("input:radio[name='in_radio_mask']:checked").val() === "3" ){
        //権限形式
        html = html + '<tr><td class="pdel_td pdel_dt_c1">' + $("input:radio[name='in_radio_level_attr']:checked").closest(".control-group").children(".control-label").text() + '</td>';
        html = html + '<td class="pdel_td pdel_dt_c2">' + $("input:radio[name='in_radio_level_attr']:checked").closest("label").text() + '</td></tr>';
        //権限
        html = html + '<tr><td class="pdel_td pdel_dt_c1">' + $("select[name='in_level']").closest(".control-group").children(".control-label").text() + '</td>';
        html = html + '<td class="pdel_td pdel_dt_c2">' + $("select[name='in_level']").children(':selected').text() + '</td></tr>';
    }
    $("#pdeldemo_decrypt_option_tbody").append(html);
    $(".pdel_dt_c1").attr("style" , "width:200px;text-align:center")
    $(".pdel_dt_c2").attr("style" , "width:739px")
}
function __ajax_decrypt_success(data , datatype){
    var s = '';
    var t = '';
    var m = false;
    $("#pdel_demo_mask_rule_file").removeAttr("style");
    $("#pdel_demo_mask_ini_file").removeAttr("style");
    for(var array_key1 in data){
        switch(array_key1){
            case 'total_time':
                t = data[array_key1];
                break;
            case 'mask_rule_file':
                m = true;
                if( data[array_key1]['file_name'] === '' ){
                    $("#pdel_demo_mask_rule_file").text(_PDEL_i18n_msg['decrypt_demo_mask_not_found']);
                }
                else{
                    if( $("input:radio[name='in_radio_mask']:checked").val() === "2" ){
                        s = '######## '+　$("input:radio[name='in_radio_mask']:checked").closest(".control-group").children(".control-label").text()
                            + ' = ' + $("input:radio[name='in_radio_mask']:checked").closest("label").text();
                    }
                    else{
                        s = '######## '+　$("input:radio[name='in_radio_level_attr']:checked").closest(".control-group").children(".control-label").text()
                            + ' = ' + $("input:radio[name='in_radio_level_attr']:checked").closest("label").text() + "\n";
                        s = s + '######## '+　$("select[name='in_level']").closest(".control-group").children(".control-label").text()
                            + ' = ' + $("select[name='in_level']").children(':selected').text();
                    }
                    s = s + "\n" + _PDEL_i18n_msg['decrypt_demo_mask_title'] + data[array_key1]['file_name'] + _PDEL_i18n_msg['decrypt_demo_title_end'] + "\n\n" + data[array_key1]['contents'];
                    $("#pdel_demo_mask_rule_file").text(s);
                }
                break;
            case 'pdel_ini_file':
                if( data[array_key1]['file_name'] === '' ){
                    $("#pdel_demo_mask_ini_file").text(_PDEL_i18n_msg['decrypt_demo_ini_not_found']);
                }
                else{
                    $("#pdel_demo_mask_ini_file").text(_PDEL_i18n_msg['decrypt_demo_ini_title'] + data[array_key1]['file_name'] + _PDEL_i18n_msg['decrypt_demo_title_end'] + "\n" + data[array_key1]['contents']);
                }
                break;
            default:
                for(var array_key2 in data[array_key1]){
                    switch(array_key2){
                        case 'result_type':
                            var target_row1 = $("#pdeldemo_decrypted_" + array_key1).closest("tr");
                            var target_row2 = $("#pdeldemo_report_decrypt_time_" + array_key1).closest("tr");
                            if( target_row1.hasClass("success") === true ) target_row1.removeClass("success");
                            if( target_row1.hasClass("error") === true ) target_row1.removeClass("error");
                            if( target_row1.hasClass("info") === true ) target_row1.removeClass("info");
                            if( target_row2.hasClass("success") === true ) target_row2.removeClass("success");
                            if( target_row2.hasClass("error") === true ) target_row2.removeClass("error");
                            if( target_row2.hasClass("info") === true ) target_row2.removeClass("info");
                            switch(data[array_key1][array_key2]){
                                case 0:
                                    break;
                                case 1:
                                    target_row1.addClass("info");
                                    target_row2.addClass("info");
                                    break;
                                default:
                                    target_row1.addClass("error");
                                    target_row2.addClass("error");
                            }
                            break;
                        case 'result'://result_type
                            $("#pdeldemo_decrypted_" + array_key1).html(data[array_key1][array_key2]);
                            break;
                        case '_proc_time':
                            $("#pdeldemo_report_decrypt_time_" + array_key1).html(data[array_key1][array_key2]);
                            break;
                        case 'detail':
                            //エラー時のみ設定される
                            $("#pdeldemo_report_error_info_" + array_key1).html(data[array_key1][array_key2]);
                            break;
                    }
                }
        }
    }
    __setDecryptOption();
    $("#pdel_devrypt_total_time").text(t);
    $("#pdeldemo_pre_decrypt_msg").css("display" , "none");
    $(".pdeldemo_decrypt_option_table").css("display" , "block");
    $("#pdeldemo_decrypt_msg").css("display" , "block");
    //$("#pdel_tab_decrypt_ul5").css("display" , "block");
    //$("#pdel_tab_decrypt5").css("display" , "block");
    $("#pdel_tab_decrypt_ul5").removeAttr("style");
    $("#pdel_tab_decrypt5").removeAttr("style");
    var tab_id = $("input:radio[name='in_after_tab']:checked").val();
    if( tab_id !== '1' ){
        $("#pdel_tab_decrypt1").removeClass("active");
        $("#pdel_tab_decrypt_ul1").removeClass("active");
        $("#" + ("pdel_tab_decrypt_ul" + tab_id)).addClass("active");
        $("#" + ("pdel_tab_decrypt" + tab_id)).addClass("active");
    }
    if( m === false ){
        $("#pdel_demo_mask_rule_file").attr("style" , "display:none");
        $("#pdel_demo_mask_ini_file").attr("style" , "display:none");
    }
    __setProcessingStatus(false);
}
function __ajax_decrypt_error(request , status , error){
    __setProcessingStatus(false);
    alert("Ajax Error !");
}
function _decrypt(SCRIPT_NAME){
    __setProcessingStatus(true);
    var msg = _input_chk();
    if( msg !== '' ){
        $("#pdeldemo_error_msg").text(msg);
        $("#pdeldemo_error_msg").css("display" , "block");
        __setProcessingStatus(false);
        return false;
    }
    $("#pdeldemo_error_msg").css("display" , "none");
    var ddata = {};
    $('.cls-hidden_4_post').each(function(){
        ddata[$(this).attr('name')] = $(this).val();
    });
    ddata["in_opt_h"] = $("input:text[name='in_opt_h']").val();
    ddata["in_opt_i"] = $("input:text[name='in_opt_i']").val();
    ddata["in_radio_mask"] = $("input:radio[name='in_radio_mask']:checked").val();
    if( $("input:radio[name='in_radio_mask']:checked").val() === "3" ){
        ddata["in_radio_level_attr"] = $("input:radio[name='in_radio_level_attr']:checked").val();
        ddata["in_level"] = $("select[name='in_level']").val();
    }
    var b_is_array = $.isArray(ddata);
    b_is_array = b_is_array;
    $.ajax({
        type:"POST",
        url:SCRIPT_NAME,
        cache : false,
        data:ddata,
        dataType:"json",
        processData:true,
        success:__ajax_decrypt_success,
        error:__ajax_decrypt_error
    });
    return false;
}
function _input_chk(){
    var msg = _PDEL_i18n_msg['not_select'];
    //(void 0)はundefined
    if( $("input:radio[name='in_radio_mask']:checked").val() === (void 0) ){
        //データマスキング
        msg = $("input:radio[name='in_radio_mask']:first").closest(".control-group").children(".control-label").text() + msg;
        return msg;
    }
    if( $("input:radio[name='in_radio_mask']:checked").val() !== "3" ) return '';
    if( $("select[name='in_level']").val() === "" ){
        //権限
        msg = $("select[name='in_level']").closest(".control-group").children(".control-label").text() + msg;
        return msg;
    }
    return '';
}
function _cntl_input1(){
    $("#pdeldemo_error_msg").css("display" , "none");
    if( $("input:radio[name='in_radio_mask']:checked").val() === "3" ){
        //条件付きマスキング
        $(".pdeldemo_mask_select").css("display" , "block");
    }
    else{
        //条件付きマスキング以外
        $(".pdeldemo_mask_select").css("display" , "none");
    }
    return;
}
function _cntl_input2(){
    var a = [["1" ,"2" ,"3" , "4"] , ["10" , "20" , "30" , "40"] , ["S" , "M" , "L" , "X"] ,
             ["4" ,"3" ,"2" , "1"] , ["40" , "30" , "20" , "10"] , ["D" , "C" , "B" , "A"]];
    var c = parseInt($("input:radio[name='in_radio_level_attr']:checked").val());
    for(var i=0;i<a[c].length;i++){
        $("#" + ("pdeldemo_in_level" + i)).val(a[c][i]);
        $("#" + ("pdeldemo_in_level" + i)).text($("#" + ("pdeldemo_in_level" + i)).val() + _PDEL_i18n_msg['user_level_' + i]);
    }
    var def_select_val = $("select[name='in_level']").val();
    $(".pdel_demo_decrypt_mask_level").remove();
    switch(c){
        case 0:
        case 1:
            var html = '<option id="pdeldemo_in_level_null" value="nil" class="pdel_demo_decrypt_mask_level">Null</option>';
            $("select[name='in_level']").append(html);
            $("select[name='in_level']").val((def_select_val === "nil_str") ? "" : def_select_val);
            break;
        case 2:
        case 5:
            var html = '<option id="pdeldemo_in_level_null" value="nil" class="pdel_demo_decrypt_mask_level">Null</option>' + "\n"
                     + '<option id="pdeldemo_in_level_null_str" value="nil_str" class="pdel_demo_decrypt_mask_level">Null_Str</option>';
            $("select[name='in_level']").append(html);
            $("select[name='in_level']").val(def_select_val);
            break;
        default:
            if( (def_select_val === "nil") || (def_select_val === "nil_str") ) $("select[name='in_level']").val("");
    }
    return;
}
function __ajax_reget_success(data , datatype){
    var s = '';
    var t = '';
    for(var array_key in data) {
        //本来全項目PHP側でhsc実行後htmlに設定すべきだが、Chromeの表示が崩れるので、UAはtextに設定する。
        //ZFIPとLANGは改行タグが含まれる可能性があるのでhtmlに設定する。
        switch(array_key){
            case 'ZFIP':
                $("#pdel_session_hijack_key_zfip").html(data[array_key]);
                break;
            case 'UA':
                $("#pdel_session_hijack_key_ua").text(data[array_key]);
                break;
            case 'UA_GUIDE':
                $("#PDEL_i18n_tab4_modal_ua_guide").html(data[array_key]);
                break;
            case 'LANG':
                $("#pdel_session_hijack_key_lang").html(data[array_key]);
                break;
            default:
                alert("Ajax Error !");
        }
    }
}
function __ajax_reget_error(request , status , error){
    alert("Ajax Error !");
}
function _reget(){
    $("#pdel_session_hijack_key_zfip").text(_PDEL_i18n_msg['now_processing']);
    $("#pdel_session_hijack_key_ua").text(_PDEL_i18n_msg['now_processing']);
    $("#pdel_session_hijack_key_lang").text(_PDEL_i18n_msg['now_processing']);
    //キャッシュサーバでキャッシュさせないためキーを付与
    var v = $("#pdel_reget_nocache_key").val();
    var d = new Date();
    var mm = ((d.getMonth() + 1) < 10) ? "0" + (d.getMonth() + 1) : (d.getMonth() + 1);
    var dd = (d.getDate() < 10) ? ("0" + d.getDate()) : d.getDate();
    var hh = (d.getHours() < 10) ? ("0" + d.getHours()) : d.getHours();
    var mi = (d.getMinutes() < 10) ? ("0" + d.getMinutes()) : d.getMinutes();
    var ss = (d.getSeconds() < 10) ? ("0" + d.getSeconds()) : d.getSeconds();
    v = v + mm + dd + hh + mi + ss;
    $.ajax({
        type:"GET",
        url: './_demo_check.php?nocache_key=' + v,
        dataType:"json",
        success:__ajax_reget_success,
        error:__ajax_reget_error
    });
    return true;
}
function _cntl_org_mask(){
    if( $("input:hidden[name='nm_opt_recipe']").val() === "1" ){
        $("input:radio[name='in_radio_mask']").val(["1"]);
        $("input:radio[name='in_radio_mask']").attr("disabled", "disabled");
    }
    return;
}
function  _cntl_tooltip(){
    $('a[rel=tooltip]').tooltip();
}