<?php
    define('PDEL_ENTRY_SCRIPT' , basename(__FILE__ , '.php'));
    require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . '_router.php');
    if( $_SERVER["REQUEST_METHOD"] === 'GET' ){
		$html = <<< EOT
{PDEL-HEAD}
<body>
{PDEL-MENU}
{PDEL-MAIN-HTML}
{PDEL-FOOTER}
{PDEL-JS-LINK}
<script src="./public_assets/org/resource/{PDEL_USE_LANG}/js/_pdel_tool.js"></script>
<script src="./public_assets/org/js/pdel_tool.js"></script>
<script type="text/javascript">
$(document).ready(function(){
    _cntl_slider();
});
</script>
</body>
</html>
EOT;
		$html = str_replace('{PDEL-HEAD}' , genHeader() , $html);
        $html = str_replace('{PDEL-MENU}' , genTopNavi() , $html);
        $html = str_replace('{PDEL-MAIN-HTML}' , getMainHtml() , $html);
        $html = str_replace('{PDEL_USE_BOOTSTRAP_ICON_BTN}' , PDEL_USE_BOOTSTRAP_ICON_BTN , $html);
        $html = str_replace('{PDEL-FOOTER}' , genFooter() , $html);
		$html = str_replace('{PDEL-JS-LINK}' , genJsLink() , $html);
        //$bg_color='#eebbcb';
        $bg_color='#fdeff2';
        //$bg_color='#f6a828';//jQueryUI's color
        $fg_color='#302833';
        $html = str_replace('{STYLE1}' , "background-color:$bg_color;word-wrap:break-all;word-break:break-all;font-family:MS Gothic,monospace,Hiragino Maru Gothic Pro;color:$fg_color;width: 550px;height:20px" , $html);
		$html = str_replace('{STYLE2}' , "background-color:$bg_color;word-wrap:break-all;word-break:break-all;font-family:MS Gothic,monospace,Hiragino Maru Gothic Pro;color:$fg_color;width: 550px;height:40px" , $html);
		$html = str_replace('{STYLE3}' , "background-color:$bg_color;word-wrap:break-all;word-break:break-all;font-family:MS Gothic,monospace,Hiragino Maru Gothic Pro;color:$fg_color;width: 550px;height:20px" , $html);
		$html = str_replace('{STYLE4}' , "background-color:$bg_color;border-color:$bg_color;color:#302833" , $html);
        $html = getLocaleResource($html);
        $html = getCommonLocaleResource($html);
		echo $html;
    }
    else{
        if( function_exists('secure_log') === true ) secure_log(basename(__FILE__) . '(' . __LINE__ . ')');
        replyInvalidRequest(1);
    }